Bug 150513 - PDE Build fails when fragments are included in the build
PDE Build fails when fragments are included in the build
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 16:26 EST by Phil Muldoon
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 11:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a snippet from the failed log (stack trace) (4.48 KB, application/octet-stream)
2005-04-06 17:13 EDT, Andrew Overholt
no flags Details

  None (edit)
Description Phil Muldoon 2005-03-07 16:26:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
When a feature releng script invokes the PDE Build scripts, if that invoking feature has a fragment as part of its feature, the releng scripts will fail to generate any build.* or assemble_* scripts and the build will fail. The code eventually dies in org.eclipse.osgi (which builds to eclipseAdaptor). If eclipseAdaptor is rendered to only interpretated status, the bug disappears, so it may be a native code issue.

Version-Release number of selected component (if applicable):
3.1.0 M5

How reproducible:
Always

Steps to Reproduce:
1. Download eclipse-cdt srpm
2. Make sure eclipseAdaptor has a corresponding .so
3. rpmbuild -ba eclipse-cdt
  

Actual Results:  The build will fail, with "Build Success!" ;) But it has in fact, failed, despite the overly optomistic ant declaration

Expected Results:  Build should have finished, and rpms produced

Additional info:
Comment 1 Phil Muldoon 2005-04-05 15:32:11 EDT
Re-assigned to overholt@redhat.com
Comment 2 Phil Muldoon 2005-04-05 15:32:36 EDT
Add ben to CC
Comment 3 Andrew Overholt 2005-04-06 17:13:37 EDT
Created attachment 112781 [details]
a snippet from the failed log (stack trace)
Comment 4 Andrew Overholt 2005-04-08 14:08:27 EDT
We've tracked this down and determined that it's another manifestation of 152512.
Comment 5 Andrew Overholt 2005-04-26 11:00:29 EDT
This should be fixed with eclipse-platform-3.1.0_fc-0.M6.11.  Phil, can you
please verify and close?
Comment 6 Phil Muldoon 2005-04-26 11:35:31 EDT
Verified fixed.

Note You need to log in before you can comment on or make changes to this bug.